Subject: bug#22395: 25.0.50; 'C-v' scrolls only a half of the window height

From: martin rudalics <[email-masked]>
Date: Mon, 18 Jan 2016 11:30:50 +0100

> Recipe from "emacs -Q":
 >
 > 1. Eval:
 >      (setq scroll-preserve-screen-position t)
 >      (setq scroll-margin 2)
 >
 > 2. Visit the attached file.
 >
 > On my system, I initially see lines 1 to 33.
 >
 > 3. Type 'C-v'
 >
 > I observe that 'C-v' has scrolled the buffer vertically, but only by
 > about a half of the window height (I now see lines 16 to 48).
 > Subsequent 'C-v' commands do the same: they scroll the buffer by a
 > half of the window.
 >
 > This seems wrong.  The amount of scrolling should be "a near full
 > screen", as described in 'C-h k C-v'.
 >
 > I observe this bug also in the last 24.5 release.

I'm not sure whether it's a bug or a feature.  But here I can "fix" your
behavior by customizing ‘scroll-conservatively’ to 101.

martin